﻿using System.Threading;
using System.Windows;

namespace HMS
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            var guiSettings = new GuiSettings();
            guiSettings.GetSettings();

            System.Globalization.CultureInfo cultureInfo;

            try
            {
                cultureInfo = new System.Globalization.CultureInfo(guiSettings.Localization);
            }
            catch
            {
                cultureInfo = new System.Globalization.CultureInfo(GuiSettings.Czech);
            }

            Thread.CurrentThread.CurrentCulture = cultureInfo;
            Thread.CurrentThread.CurrentUICulture = cultureInfo;

            MainWindow app = new MainWindow();
            app.GuiSettings = guiSettings;
            ViewModel.MainWindow context = new ViewModel.MainWindow();
            app.DataContext = context;
            app.Show();
        }
    }
}
