﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HMS
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private HwndSource _source;

        public GuiSettings GuiSettings { get; set; }

        public MainWindow()
        {
            InitializeComponent();
        }

        protected override void OnSourceInitialized(EventArgs e)
        {
            base.OnSourceInitialized(e);
            var helper = new WindowInteropHelper(this);
            _source = HwndSource.FromHwnd(helper.Handle);
            if (_source == null) return;
            _source.AddHook(WindowProc);
            ViewModel.GlobalInformations.Source = _source;
        }

        private IntPtr WindowProc(IntPtr hwnd, int m, IntPtr wParam, IntPtr lParam, ref bool handled)
        {
            ViewModel.GlobalInformations.ParseHidMessages(ref m, ref wParam);
            return IntPtr.Zero;
        }

        private void SwitchLanguage(object sender, RoutedEventArgs e)
        {
            GuiSettings.Localization = GuiSettings.Localization == GuiSettings.Czech ? GuiSettings.English : GuiSettings.Czech;
            GuiSettings.SaveSettings();
            LanguageChanged.Visibility = Visibility.Visible;
        }
    }
}
