﻿using HMS.Communication;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Interop;

namespace Model
{
    public class UnitSettings
    {
        public int NumberOfCircles { get; set; }

        /// <summary>
        /// Načtení dat pomocí HID.
        /// </summary>
        /// <param name="source">HwndSource</param>
        /// <returns>Pokud bylo načtení úspěšné, vrátí se true, jinak false.</returns>
        public bool Refresh(HwndSource source)
        {
            return Fill(Connection.Connection.Connect(source));
        }

        /// <summary>
        /// Načtení dat pomocí TCP.
        /// </summary>
        /// <param name="ipAddress">IP adresa</param>
        /// <param name="port">Port</param>
        /// <returns>Pokud bylo načtení úspěšné, vrátí se true, jinak false.</returns>
        public bool Refresh(string ipAddress, int port)
        {
            return Fill(Connection.Connection.Connect(ipAddress, port));
        }

        private bool Fill(IComm communication)
        {
            if (communication == null)
            {
                return false;
            }

            communication.OpenPort();
            NumberOfCircles = communication.GetUnitHeatingCircleCount();

            return true;
        }
    }
}
