﻿using System.Collections.Generic;
using System.Xml;
using System.Xml.Serialization;

namespace Model
{
    public static class Users
    {
        private const string Path = "users.xml";

        public static List<User> GetUsers()
        {
            var serializer = new XmlSerializer(typeof(List<User>));
            using (var reader = XmlReader.Create(Path))
            {
                return (List<User>)serializer.Deserialize(reader);
            }
        }

        public static void SetUsers(List<User> users)
        {
            var serializer = new XmlSerializer(users.GetType());
            using (var writer = XmlWriter.Create(Path))
            {
                serializer.Serialize(writer, users);
            }
        }
    }
}
