﻿using System.ComponentModel;

namespace ViewModel
{
    /// <summary>
    /// Základní třída pro třídy ViewModelu. Obsahuje implementaci INotifyPropertyChanged.
    /// </summary>
    public class BaseViewModel : INotifyPropertyChanged
    {
        /// <summary>
        /// Událost vyvolaná při změně události.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChangedEvent(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
