﻿using System.Threading.Tasks;
using System.Windows.Input;

namespace ViewModel
{
    public enum ConnectionType
    {
        TCP,
        HID
    }

    public delegate void SetConnectionHandler(ConnectionType connectionType);

    public class ConnectionSelection : BaseViewModel
    {
        public event SetConnectionHandler OnSetConnection;

        private RelayCommand _setUnitIp;

        public ICommand SetUnitIp
        {
            get
            {
                return _setUnitIp ?? (_setUnitIp = new RelayCommand(async p => await SetConnectionAsync(ConnectionType.TCP)));
            }
        }

        private RelayCommand _loadViaHid;

        public ICommand LoadViaHid
        {
            get
            {
                return _loadViaHid ?? (_loadViaHid = new RelayCommand(async p => await SetConnectionAsync(ConnectionType.HID)));
            }
        }

        private void SetConnection(ConnectionType connectionType)
        {
            OnSetConnection?.Invoke(connectionType);
        }

        private Task SetConnectionAsync(ConnectionType connectionType)
        {
            return Task.Factory.StartNew(() => SetConnection(connectionType));
        }
    }
}
